Novedades de G Suite Password Sync

En estas notas de la versión se describen las novedades y mejoras de las versiones más recientes de G Suite Password Sync (GSPS). Puedes encontrar información detallada sobre cómo se configura GSPS en el artículo Configurar G Suite Password Sync.

GSPS se conocía anteriormente como Google Apps Password Sync (GAPS).

Versión 1.6.17
30 de enero del 2017

Problemas resueltos
Se ha solucionado un problema por el que, en función del orden en que se instalaran los filtros, GSPS podía afectar al funcionamiento de otros filtros de contraseñas instalados.

Versión 1.6.13
8 de noviembre del 2016

Novedades
Google Apps Password Sync ahora se llama G Suite Password Sync (GSPS).

Versión 1.6
30 de junio del 2016

Novedades
  • Ahora se admiten Windows Server Core 2008 y 2012.
  • Ahora se admite la cuenta de servicio para la autenticación de G Suite. Esta es necesaria para las instalaciones mediante Server Core y opcional para otras instalaciones distintas.
  • GAPS se puede instalar y configurar ahora desde la línea de comandos.
  • En la configuración de LDAP se puede utilizar ahora el contexto de seguridad del servicio de GAPS, por lo que ya no es necesario proporcionar las credenciales de administrador de Active Directory.
  • Se han mejorado los mensajes de error del asistente de configuración.
  • Se han añadido informes sobre fallos. Los informes se almacenan en el servidor de GAPS y no se transmiten a Google.
  • Windows Server 2003 ya no es compatible.
Problemas resueltos
  • La IU de GAPS muestra ahora correctamente un icono de temporizador cuando se llevan a cabo tareas activadas por otras acciones como, por ejemplo, cuando el usuario hace clic en los botones Previous (Anterior), Next (Siguiente) y Authorize Now (Autorizar ahora).
  • GAPS volverá a intentar realizar las acciones cuando se produzcan fallos relacionados con el tiempo de espera de red y errores del servidor de tipo 5xx al intentar actualizar el token de acceso de OAuth.
  • Los usuarios que no sean administradores de dominios de Windows ya no podrán iniciar el asistente de configuración de GAPS. Anteriormente, podían iniciar el asistente, pero aparecía un error al intentar guardar la configuración.

Versión 1.5
16 de febrero del 2016

Novedades

GAPS utiliza ahora la función de cifrado de hash (hashes SHA512 con salt en lugar de SHA1) cuando actualiza la contraseña en la API de Directory.

Se utilizan las nuevas URL de OAuth2 para autorizar y actualizar los tokens (se evitan conflictos cuando se anula el DNS para aplicar SafeSearch).

Se han mejorado las sugerencias en la IU de configuración para ayudar a diagnosticar los problemas relacionados con la autorización. Se han mejorado los mensajes del sistema del registro de seguimiento y del Registro de eventos de Windows.

Se ha reducido el número de eventos del registro cuando se produce un error al intentar sincronizar la contraseña de la cuenta de un ordenador.

Se ha mejorado el registro de diagnósticos para los problemas de autorización, que ahora se encuentra en los registros de autorización de servicio.

Nota: Hay una versión nueva de la herramienta de asistencia de GAPS para ayudarte a solucionar los problemas que puedan surgir al instalar GAPS.

Versión 1.4

Problemas resueltos

Se ha solucionado un problema que ocasionaba que, cuando no conseguía recuperar el atributo de la dirección de correo electrónico de una cuenta de Active Directory, GAPS fallara sin mostrar un aviso.

Nota: Aunque este problema solo se ha detectado en Windows Server 2003, recomendamos que se actualice cualquiera que sea la versión de Windows Server que se use.

Versión 1.3

Novedades

GAPS utiliza ahora Directory API del SDK del administrador (versión 1).

Ahora, la validación se realiza mediante las páginas Configurar G Suite y Configurar Active Directory. Si introduces información incorrecta en alguna de estas páginas, aparecerá un mensaje de alerta.

Problemas resueltos

En los archivos de registro que genera GAPS ya no se muestran líneas de registro irrelevantes en las que se haga referencia a Outlook.

Ahora, si pulsas Intro en la página del asistente Configurar G Suite, se te pedirá que realices la autorización en lugar de llevarte a la página anterior.

Versión 1.2

Novedades

Los eventos "G Suite Passwords" aparecen ahora en el registro de eventos "Application". GAPS registra ahora los detalles sobre las sincronizaciones de contraseñas (tanto las que se realizan correctamente como las que fallan) en el registro de eventos.

Problemas resueltos

Se ha resuelto una incidencia en la que los pasos que se especificaban en la página del asistente para la configuración inicial aparecían en un orden incorrecto.

Se ha resuelto una incidencia en la que GAPS registraba los hash de contraseña en algunos casos si se producía un error al sincronizar la contraseña. GAPS ya no registra los hash de contraseña.

Se ha resuelto una incidencia que ocasionaba que GAPS intentara sincronizar contraseñas que incluían caracteres no admitidos (caracteres que no sean US-ASCII). Ahora GAPS registra una advertencia.

GAPS ahora identifica correctamente los fallos en la sincronización de contraseñas cuando se devuelve una respuesta de error de servidor.

Se han resuelto las incidencias de formato con los registros DLL de GAPS.

Versión 1.1

Novedades

La casilla de verificación "Usar el acceso anónimo para consultar Active Directory" aparece ahora desmarcada de forma predeterminada. Puesto que la mayoría de los entornos de Active Directory no permiten las conexiones LDAP anónimas, esto simplifica el proceso de configuración.

La versión de 32 bits de GAPS ya no se instalará en sistemas de 64 bits. Aunque anteriormente la instalación se completaba sin errores, la sincronización de contraseñas no funcionaba. Ahora, ya no se confunden los dos instaladores.

Mejora del flujo de autorización de Google. El nuevo flujo de autorización es más claro y sencillo de usar.

Detección automática del DN base. Cuando se ejecuta el asistente de configuración por primera vez, el campo del DN base aparecerá relleno con el DN base predeterminado del dominio.

Problemas resueltos

Se ha resuelto una incidencia en la que los registros mostraban el mensaje de error "Error while securing the key: 0" de forma incorrecta, incluso cuando no se producía ningún error al guardar la configuración.

Se han resuelto varios problemas con el paso relacionado con la autorización de Google dentro del proceso de configuración, en el que se producía un error sin explicación.

Se ha resuelto un problema que provocaba un error al iniciar el servicio GAPS en algunos sistemas debido a que su ruta de acceso estaba registrada en el sistema sin comillas dobles.

Se ha resuelto un problema que provocaba que GAPS fallase cuando había una configuración de proxy incorrecta en la red.

¿Te ha sido útil este artículo?
¿Cómo podemos mejorar esta página?